@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;400;600;700&display=swap');

html,
body,
h1,
h2,
h3,
p {
    margin: 0;
    padding: 0;
    height: 100%;
    font-family: 'Poppins', sans-serif;
    font-size: 12px;
    color: #303137;
}

hr {
    background-color: white;
    width: 90%;
    height: 5px;
    border: none;
}

/* Small devices (smartphone, 767px and down) */
/* Start Navbar */
nav {
    width: 100%;
    height: 100px;
    background-color: #303137;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    top: 0;
    z-index: 5;
}

nav .logo {
    height: 100%;
    display: flex;
    align-items: center;
}

nav .logo img {
    height: 80%;
}

nav ul {
    margin-right: 5%;
}

nav ul li {
    list-style: none;
}

nav ul li a {
    text-decoration: none;
    color: white;
    font-size: 1.5rem;
}

nav ul li a:hover {
    color: #02BE58;
}

/* End Navbar */

/* Start Profil */
main {
    margin-top: 100px;
}

main .profil {
    padding: 5%;
    background-color: #02BE58;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
}

main .profil img {
    width: 50%;
    border-radius: 30px;
}

main .profil h1,
main .profil h2 {
    color: white;
    text-align: center;
}

main .profil h1 {
    font-size: 2rem;
}

main .profil h2 {
    font-size: 1.5rem;
}

main .profil .container-card {
    width: 70%;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

main .profil .container-card .card {
    height: 250px;
    background-color: #303137;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 30px;
    overflow: hidden;
    position: relative;
}

main .profil .container-card .card:hover {
    background-color: white;
    transition: all .5s ease-in-out;
}

main .profil .container-card .card .image {
    display: flex;
    flex-direction: column;
    align-items: center;
}

main .profil .container-card .card .cover-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(5, 5, 5, .7);
    top: 300px;
    transition: all .3s ease-in;
}

main .profil .container-card .card:hover .cover-card {
    top: 0;
    transition: all .3s ease-out;
}

main .profil .container-card .card .cover-card h2 {
    color: #02BE58;
    font-size: 1.2rem;
    position: relative;
    top: 130px;
}

main .profil .container-card .card .cover-card button {
    position: relative;
    top: -30px;
    background-color: #02BE58;
    padding: 12px 18px;
    border: none;
    border-radius: 6px;
    cursor: pointer;
}

main .profil .container-card .card .cover-card button a {
    color: white;
    text-decoration: none;
}

main .profil button.back {
    background-color: #303137;
    padding: 12px 18px;
    border-radius: 20px;
    border: none;
}

main .profil button.back:hover {
    background-color: white;
}

main .profil button.back:hover a {
    color: #303137;
}

main .profil button.back a {
    text-decoration: none;
    color: white;
}

/* End Profil */

/* Start Foooter */
footer {
    padding: 20px;
    background-color: #303137;
    display: flex;
    flex-direction: column;
    align-items: center;
}

footer p {
    color: white;
}

/* End Footer */

/* Responsive Breakpoint */
/* Medium devices (Tablets, 1400px and up) */
@media screen and (min-width: 768px) {
    main .profil h1 {
        font-size: 3rem;
    }

    main .profil h2 {
        font-size: 2rem;
    }

    main .profil .container-card {
        align-items: center;
    }

    main .profil .container-card .card {
        padding: 20px 0;
        width: 500px;
    }

    main .profil .container-card .card .cover-card .judul,
    main .profil .container-card .card .cover-card a {
        font-size: 2rem;
    }

    main .profil button.back a {
        font-size: 2rem;
    }

    footer p {
        font-size: 1.5rem;
    }
}

/* Large devices (Desktops, 992px and up) */
@media screen and (min-width: 992px) {
    main .profil img {
        width: 30%;
    }

    main .profil .container-card {
        flex-direction: row;
        justify-content: center;
        flex-wrap: wrap;
    }

    main .profil .container-card .card {
        width: 250px;
    }

    main .profil .container-card .card .cover-card .judul {
        font-size: 1.5rem;
    }
}

/* X-Large devices (larger desktops, 1200px and up) */
@media screen and (min-width: 1200px) {
    nav ul li a {
        font-size: 2rem;
    }

    main .profil .container-card {
        width: 90%;
    }
}

/* XX-Large devices (larger desktops, 1400px and up) */
@media screen and (min-width: 1400px) {
    main .profil .container-card {
        width: 100%;
    }
}